Loading...
Searching...
No Matches
casacore::casacore Namespace Reference

For temporary backward namespace compatibility, use casa as alias for casacore. More...

## Typedefs

typedef bool | Bool
| Define the standard types used by Casacore.
typedef char | Char
typedef unsigned char | uChar
typedef short | Short
typedef unsigned short | uShort
typedef int | Int
typedef unsigned int | uInt
typedef long | Long
typedef unsigned long | uLong
typedef float | Float
typedef double | Double
typedef long double | lDouble
typedef long long | Int64
| Define the extra non-standard types used by Casacore (like proposed uSize, Size).
typedef unsigned long long | uInt64
typedef int | FitsLong
| All FITS code seems to assume longs are 4 bytes.
typedef uInt64 | rownr_t
| Define the type of a row number in a table.

## Variables

const Bool | True
const Bool | False
Bool | aips_debug_on
| If AIPS_DEBUG is not defined, then the symbol expands to (0) which in an if should be removed by the dead code eliminator of any optimizer; thus using this in your code should have no performance penalty in the normal case.

## Detailed Description

For temporary backward namespace compatibility, use casa as alias for casacore.

## Typedef Documentation

## Bool

typedef bool casacore::casacore::Bool

Define the standard types used by Casacore.

Definition at line 41 of file LatticeStatistics.h.

## Char

typedef char casacore::casacore::Char

Definition at line 45 of file LatticeStatistics.h.

## Double

typedef double casacore::casacore::Double

Definition at line 54 of file LatticeStatistics.h.

## FitsLong

typedef int casacore::casacore::FitsLong

All FITS code seems to assume longs are 4 bytes.

Currently this corresponds to an "int" on all useful platforms.

Definition at line 42 of file LatticeStatistics.h.

## Float

typedef float casacore::casacore::Float

Definition at line 53 of file LatticeStatistics.h.

## Int

typedef int casacore::casacore::Int

Definition at line 49 of file LatticeStatistics.h.

## Int64

typedef long long casacore::casacore::Int64

Define the extra non-standard types used by Casacore (like proposed uSize, Size).

A guaranteed 64-bit long integer (for a.o. large file systems). An implementation must support the + and - operators.

Definition at line 37 of file LatticeStatistics.h.

## lDouble

typedef long double casacore::casacore::lDouble

Definition at line 55 of file LatticeStatistics.h.

## Long

typedef long casacore::casacore::Long

Definition at line 51 of file LatticeStatistics.h.

## rownr_t

typedef uInt64 casacore::casacore::rownr_t

Define the type of a row number in a table.

Definition at line 45 of file LatticeStatistics.h.

## Short

typedef short casacore::casacore::Short

Definition at line 47 of file LatticeStatistics.h.

## uChar

typedef unsigned char casacore::casacore::uChar

Definition at line 46 of file LatticeStatistics.h.

## uInt

typedef unsigned int casacore::casacore::uInt

Definition at line 50 of file LatticeStatistics.h.

## uInt64

typedef unsigned long long casacore::casacore::uInt64

Definition at line 38 of file LatticeStatistics.h.

## uLong

typedef unsigned long casacore::casacore::uLong

Definition at line 52 of file LatticeStatistics.h.

## uShort

typedef unsigned short casacore::casacore::uShort

Definition at line 48 of file LatticeStatistics.h.

## Variable Documentation

## aips_debug_on

Bool casacore::casacore::aips_debug_on

extern

If AIPS_DEBUG is not defined, then the symbol expands to (0) which in an if should be removed by the dead code eliminator of any optimizer; thus using this in your code should have no performance penalty in the normal case.

If compiled with AIPS_DEBUG, then aips_debug is (defined to) a global boolean variable (so it can be turned on and off in a debugger) which is initialized to True.

## False

const Bool casacore::casacore::False

Definition at line 43 of file LatticeStatistics.h.

## True

const Bool casacore::casacore::True

Definition at line 42 of file LatticeStatistics.h.